#!/usr/bin/perl

$Kennwort_soll  = 'Nomen nominandum';
$Logdateipfad   = '/Voller/Pfad/zu/logs';
$Logdatei       = 'access_log';
$Anzahl_Zeilen  = '30';
$Wiederholrate  = '10';
$Titel          = "Dimke LogTrack - Logdatei: $Logdatei";

##############################################################################

$Skriptname      = $ENV{'SCRIPT_NAME'};
$Logdatei_inhalt = `cat $Logdatei "$Logdateipfad/$Logdatei" | grep -v \'$Skriptname\' | tail -$Anzahl_Zeilen`;

# Uebergabeparameter auslesen
$buffer=$ENV{'QUERY_STRING'};
@pairs = split(/&/, $buffer);

foreach $pair (@pairs) {
    ($name, $value) = split(/=/, $pair);

    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ s/<!--(.|\n)*-->//g;

    if ( $name eq 'Kennwort' ) {
        $Kennwort_ist = $value;
    }
}



if ( $Kennwort_ist eq $Kennwort_soll ) {
    print "Content-Type: text/html\n\n";
    print "<html>\n";
    print "<head>\n";
    print "<title>$Titel</title>\n";
    print "<meta http-equiv=\"Refresh\" content=\"$Wiederholrate; url=$Skriptname?Kennwort=$Kennwort_ist\">\n";
    print "</head>\n";
    print "<body>\n";
    print "<pre>\n";
    print "$Logdatei_inhalt";
    print "</pre>\n";
    print "</body>\n";
    print "</html>\n";
}
else {
    print "Content-Type: text/html\n\n";
    print "<head><meta http-equiv=\"Refresh\" content=\"0; url=/\"</head>\n";
}

exit;

